Check Point Advisories

Jenkins CI Server Commons-Collections Library Insecure Deserialization (CVE-2015-8103)

Check Point Reference: CPAI-2015-1419
Date Published: 21 Dec 2015
Severity: High
Last Updated: 20 Feb 2017
Source: Jenkins
Industry Reference:CVE-2015-8103
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Jenkins Jenkins 1.637 and prior
Jenkins Jenkins LTS releases 1.625.1 and prior
Vulnerability Description An insecure deserialization vulnerability has been reported in Jenkins CI Server. This vulnerability is due to deserialization of untrusted data while having the vulnerable version of Apache Commons-Collections library in the code path.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Jenkins CI Server Commons-Collections Library Insecure Deserialization protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Application Servers Protection Violation.
Attack Information:  Jenkins CI Server Commons-Collections Library Insecure Deserialization

This website uses cookies to ensure you get the best experience. More Info Got it, Thanks!